"use strict";
require("./index.scss");
angular.module("ui-header-menu", []).directive("uiHeaderMenu", [
  "$window",
  function($window) {
    return {
      replace: true,
      require: "ngModel",
      template: require("./index.html"),
      link: function(scope, element, attrs, ngModel) {
        var watch = function(value) {
          scope.data = value;
          scope.leftFn = () => {
            if (typeof scope.data.leftFn === "function") scope.data.leftFn();
          };
          scope.rightFn = () => {
            if (typeof scope.data.rightFn === "function") scope.data.rightFn();
          };
          scope.$evalAsync(scope);
        };
        scope.$watch(function() {
          return ngModel.$modelValue;
        }, watch);
      }
    };
  }
]);
